process-extras-0.7.4: Process extras

Safe Haskell | None
Language | Haskell2010

System.Process.ByteString

Contents

- Orphan instances

Synopsis

- readProcessWithExitCode :: FilePath -> [String] -> ByteString -> IO (ExitCode, ByteString, ByteString)
- readCreateProcessWithExitCode :: CreateProcess -> ByteString -> IO (ExitCode, ByteString, ByteString)

# Documentation

readProcessWithExitCode Source #

Arguments

:: FilePath | command to run
-> [String] | any arguments
-> ByteString | standard input
-> IO (ExitCode, ByteString, ByteString) | exitcode, stdout, stderr

Specialized version for backwards compatibility.

readCreateProcessWithExitCode Source #

Arguments

:: CreateProcess | command and arguments to run
-> ByteString | standard input
-> IO (ExitCode, ByteString, ByteString) | exitcode, stdout, stderr

# Orphan instances

ListLikeProcessIO ByteString Word8 Source # | Like `readProcessWithExitCode`, but using `ByteString`
Instance details Methods forceOutput :: ByteString -> IO ByteString Source # readChunks :: Handle -> IO [ByteString] Source #
ProcessText ByteString Word8 Source # |
Instance details